diff -purN orig/boost/bimap/container_adaptor/associative_container_adaptor.hpp boost_1_36_0/boost/bimap/container_adaptor/associative_container_adaptor.hpp
--- orig/boost/bimap/container_adaptor/associative_container_adaptor.hpp	2008-10-18 22:27:52.000000000 -0400
+++ boost_1_36_0/boost/bimap/container_adaptor/associative_container_adaptor.hpp	2008-10-18 22:30:11.000000000 -0400
@@ -186,6 +186,14 @@ class associative_container_adaptor :
     }
 
     template< class CompatibleKey >
+    BOOST_DEDUCED_TYPENAME base_::size_type count(const CompatibleKey & k) const
+    {
+        return this->base().count(
+            this->template functor<key_to_base>()(k)
+        );
+    }
+
+    template< class CompatibleKey >
     BOOST_DEDUCED_TYPENAME base_::iterator find(const CompatibleKey & k)
     {
         return this->template functor<typename base_::iterator_from_base>()
